%define     _class      HTTP
%define     _subclass   OAuth
%define     upstream_name   %{_class}_%{_subclass}

Name:       php-pear-%{upstream_name}
Version:    0.2.3
Release:    %mkrel 3
Summary:    PEAR implementation of the OAuth 1.0a specification
License:    LGPL
Group:      Development/PHP
URL:        http://pear.php.net/package/%{upstream_name}
Source0:    http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:   php-pear
BuildArch:  noarch
BuildRequires:  php-pear

%description
PEAR implementation of the OAuth 1.0a specification

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml





%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.2.3-3.mga4
+ Revision: 516813
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.3-2.mga3
+ Revision: 376326
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 neoclust <neoclust> 0.2.3-1.mga3
+ Revision: 308344
- imported package php-pear-HTTP_OAuth

